Do schedule review

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /public/v1/projects/{projectId}/schedule-review

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • fileId string(uuid)
  • name string
  • dataDate string(date-time)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • projectId integer(int64)
    • jobId string(uuid)
POST /public/v1/projects/{projectId}/schedule-review
curl \
 --request POST 'https://live.smartpmtech.com/public/v1/projects/{projectId}/schedule-review' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "fileId": "string",
  "name": "string",
  "dataDate": "2026-05-04T09:42:00Z"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "fileId": "string",
  "name": "string",
  "dataDate": "2026-05-04T09:42:00Z"
}
Response examples (200)
{
  "projectId": 42,
  "jobId": "string"
}